Bug 1006212 - [abrt] dnf-0.3.11-1.git7d717c7.fc19 and librepo version mismatch ("object has no attribute 'url'") [NEEDINFO]
[abrt] dnf-0.3.11-1.git7d717c7.fc19 and librepo version mismatch ("object has...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
abrt_hash:46785f6889eb96ea57ec0e2d2f9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 04:59 EDT by Scott Tsai
Modified: 2014-09-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 03:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akozumpl: needinfo? (scottt.tw)


Attachments (Terms of Use)
File: backtrace (1.67 KB, text/plain)
2013-09-10 04:59 EDT, Scott Tsai
no flags Details
File: environ (114 bytes, text/plain)
2013-09-10 04:59 EDT, Scott Tsai
no flags Details

  None (edit)
Description Scott Tsai 2013-09-10 04:59:18 EDT
Description of problem:
Seems to have happend when dnf was upgraded by yum but I'm not 100% sure.

Version-Release number of selected component:
dnf-0.3.11-1.git7d717c7.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/dnf -v makecache timer
dso_list:       python-librepo-0.0.5-3.fc19.x86_64
executable:     /usr/bin/dnf
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
__init__.py:849:__setattr__:AttributeError: '_Handle' object has no attribute 'url'

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 292, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 74, in main
    return 1
  File "/usr/lib/python2.7/site-packages/dnf/yum/base.py", line 130, in __exit__
    self.close()
  File "/usr/lib/python2.7/site-packages/dnf/yum/base.py", line 253, in close
    self._store_persistent_data()
  File "/usr/lib/python2.7/site-packages/dnf/yum/base.py", line 177, in _store_persistent_data
    expired = [r.id for r in self.repos.iter_enabled() if check_expired(r)]
  File "/usr/lib/python2.7/site-packages/dnf/yum/base.py", line 173, in check_expired
    return repo.metadata_expire_in()[1] <= 0
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 441, in metadata_expire_in
    self._try_cache()
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 278, in _try_cache
    handle = self._handle_new_local(self.cachedir)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 205, in _handle_new_local
    self.max_mirror_tries, destdir)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 67, in new_local
    h.url = cachedir
  File "/usr/lib64/python2.7/site-packages/librepo/__init__.py", line 849, in __setattr__
    (self.__class__.__name__, attr))
AttributeError: '_Handle' object has no attribute 'url'

Local variables in innermost frame:
self: <dnf.repo._Handle object at 0xd6e9b0>
attr: 'url'
val: '/var/cache/dnf/x86_64/19/google-talkplugin'
Comment 1 Scott Tsai 2013-09-10 04:59:22 EDT
Created attachment 795905 [details]
File: backtrace
Comment 2 Scott Tsai 2013-09-10 04:59:26 EDT
Created attachment 795906 [details]
File: environ
Comment 3 Ales Kozumplik 2013-09-10 06:04:49 EDT
Thanks for the report Scott. I was convinced that dnf-0.3.11-1 and librepo-0.0.5-3 were working, so this is odd.

What happens when you upgrade to the latest F19 dnf (0.3.11-2) and librepo (1.0.0)?
Comment 4 Ales Kozumplik 2013-10-23 03:58:21 EDT
This has been in needinfo for over a month, closing.

Note You need to log in before you can comment on or make changes to this bug.